<!--
Thanks for contributing a pull request! Please ensure you have taken a look at
the extension guidelines: https://github.com/alan-turing-institute/sktime/blob/master/CONTRIBUTING.md
-->

#### Reference Issues/PRs
<!--
Example: Fixes #1234. See also #3456.

Please use keywords (e.g., Fixes) to create link to the issues or pull requests
you resolved, so that they will automatically be closed when your pull request
is merged. See https://github.com/blog/1506-closing-issues-via-pull-requests
-->


#### What does this implement/fix? Explain your changes.
<!--
A clear and concise description of what you have implemented. 
-->

#### Does your contribution introduce a new dependency? If yes, which one? 

<!--
If your contribution does add a new dependency, we may suggest to initially develop your contribution in a separate
 companion package in https://github.com/sktime/ to keep external dependencies of the core sktime package to a minimum. 
-->


#### PR checklist for new estimators 
<!--
This is only relevant if you contribute new algorithm or estimator (classifiers, regressors, forecasters, etc
.). If so, please go through the checklist below. Otherwise please delete check list.
-->

- [ ] I have added unit tests and made sure they pass locally. 
 
- [ ] I have updated the existing example notebooks or provided a new one to showcase how my algorithm works.
   
- [ ] I have updated sktime's 
[estimator overview](https://github.com/alan-turing-institute/sktime/blob/master/ESTIMATOR_OVERVIEW.md) and I'm
 committed to maintain my contribution and provide bug fixes if necessary.

#### Any other comments?
<!--
Please be aware that we are a loose team of volunteers so patience is
necessary; assistance handling other issues is very welcome. We value
all user contributions, no matter how minor they are. If we are slow to
review, either the pull request needs some benchmarking, tinkering,
convincing, etc. or more likely the reviewers are simply busy. In either
case, we ask for your understanding during the review process.

Thanks for contributing!
-->
